%define rversion 1.2.4
%define apache_version 1.3.33

Summary:	Strong Extranet module for mod_ssl and apache
Name:		apache1-mod_sxnet
Version:	%{apache_version}_%{rversion}
Release:	1mdk
Group:		System/Servers
License:	BSD-style
URL:		http://www.thawte.com
Source0:	ftp://ftp.thawte.com/pub/sxnet/sxnet-%{rversion}.tar.bz2
Source1:	sxnet.html
Source2:	apache1-mod_sxnet.conf
Patch:		sxnet-register.patch.bz2
Prereq:		apache1 = %{apache_version}
Prereq:		apache1-base >= %{apache_version}
Prereq:		apache1-mod_ssl
BuildRequires:	apache1-devel
BuildRequires:	openssl-devel >= 0.9.7
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Strong Extranet allows you to use digital certificates to authenticate
users on your web server. Typically, your users enroll in your Strong 
Extranet, under your control, through the Thawte Personal Cert System.  

%prep

%setup -q -n sxnet
%patch -p1 

perl -pi -e "s/Malloc/malloc/g;" *
perl -pi -e "s/Free/free/g;" *

cp %{SOURCE1} index.html
cp %{SOURCE2} apache1-mod_sxnet.conf

%build

%{_sbindir}/apache1-apxs -I%{_includedir}/openssl/ -L%{_libdir} \
    -lssl -lcrypto -c mod_sxnet.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/apache1/modules.d
install -d %{buildroot}%{_libdir}/apache1

install -m0755 mod_sxnet.so %{buildroot}%{_libdir}/apache1/
install -m0644 apache1-mod_sxnet.conf %{buildroot}%{_sysconfdir}/apache1/modules.d/12_mod_sxnet.conf

%post
if [ -f %{_var}/lock/subsys/apache1 ]; then
    %{_initrddir}/apache1 restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/apache1 ]; then
	%{_initrddir}/apache1 restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT LICENCE index.html
%config(noreplace) %{_sysconfdir}/apache1/modules.d/12_mod_sxnet.conf
%{_libdir}/apache1/mod_sxnet.so

%changelog
* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33_1.2.4-1mdk
- renamed to apache1-mod_sxnet and reworked it quite a bit

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.4-30mdk
- spec file cleanups, remove the ADVX-build stuff

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.4-29mdk
- rebuilt against new'ish apache1

* Fri Oct 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.4-28mdk
- built for apache 1.3.32
- misc spec file fixes

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.4-27mdk
- remove redundant provides

* Wed Jun 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.4-26mdk
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.4-25mdk
- built for apache 1.3.29

* Mon Sep 15 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-24mdk
- rebuild

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.2.4-23mdk
- rebuild

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-22mdk
- new macros from ADVX-build

* Sat Jan 18 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-21mdk
- rebuilt for new openssl

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-20mdk
- rebuilt for new mm version
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-19mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-18mdk
- Rebuild with new apache

* Fri Aug 16 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-17mdk
- rebuild against latest openssl.

* Mon Aug 12 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-16mdk
- rebuild against latest openssl.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.2.4-15mdk
- rebuild (so that it builds with "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")
  => fix segfault

* Wed Jun 26 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-14mdk
- rebuild against new apache.

* Sat May 18 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-13mdk
- build with gcc 3.1.
- build against new openssl.
- macroize a little more.
- remove macros in BuildRequires.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-12mdk
- Apache 1.3.24.
- Update OpenSSL version in BuildRequires.

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-11mdk
- Register module so we know it's loading or not

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-10mdk
- Rebuilt against new mod_ssl

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-9mdk
- Rebuild against latest apache.

* Thu Nov 22 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-8mdk
- Fix invalid-packager and no-url warning (rpmlint).

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-7mdk
- apache 1.3.22.

* Thu Oct 12 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.4-6mdk
- BuildRequires: openssl --> openssl-devel

* Tue Sep 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-5mdk
- Provides the Obsoletes for compatibility.

* Thu Sep 06 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.2.4-4mdk
- rebuild against last mod_ssl.

* Thu Jul 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.2.4-3mdk
- fix spec translation

* Thu Jul 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.2.4-2mdk
- new apache

* Sat Apr 14 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.4-1mdk
- Split package from mod_ssl spec, since Thawte are now supplying a module
  that adds documentation.
